Bug 438248 - Cleanup after moving Add/Remove Software and Update System from PROGRAMS to SYSTEM
Cleanup after moving Add/Remove Software and Update System from PROGRAMS to S...
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-19 17:10 EDT by Frank Thingholm
Modified: 2008-03-25 07:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-25 07:24:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Thingholm 2008-03-19 17:10:01 EDT
Description of problem:
The menu items "Add/Remove Software" and "Update System" have been moved to the

There are now two issues:
- A horizontal line at the bottom of the PROGRAMS menu has been left at the
bottom of the menu - there are no items below the line.
- The to items "Add/Remove Software" and "Update System" no longer localize to
Danish language - all other menu items do (except for "Software Sources", actually).

Version-Release number of selected component (if applicable):
Anaconda ...54

How reproducible:
I have noticed it after the last installation with a boot.iso from yesterday and
install from URL http://mirrors.kernel.org/fedora/development/i386/os today.

Steps to Reproduce:
Actual results:
As mentioned in Description of Problem.

Expected results:
As mentioned in Description of Problem.

Additional info:
I'm unsure if this is a Anaconda, Gnome Menus og some kind of packaging problem.
Here it is - filed as Gnome Menus.
Comment 1 Jeremy Katz 2008-03-19 21:31:34 EDT
This is due to the movement from pirut -> PackageKit.  I don't remember where we
fixed things so that Add/Remove ended up where it was in the menus, but we
should likely do the same for the PK desktop file.
Comment 2 Robin Norwood 2008-03-19 23:38:06 EDT
Mclasen and hughsie were against this.  It's too late for the F9 beta.  We
should discuss it a bit more in public before the final release.
Comment 3 Frank Thingholm 2008-03-20 00:15:28 EDT
Just to clarify: I don't object to the moving of the two menu items - I just
suggest removing the superfluous horizontal line in the menu and the menu item
localization issue.
Comment 4 Matthias Clasen 2008-03-20 01:15:20 EDT
The line is gone in current builds. You'll see once rawhide unfreezes.
Comment 5 Frank Thingholm 2008-03-24 22:10:05 EDT
The last few daily builds from the source I originally installed from have the
horizontal line fixed.

Comment 6 Ray Strode [halfline] 2008-03-24 22:27:50 EDT
Okay, reassigning to packagekit, so the translations can get moved over.
Comment 7 Richard Hughes 2008-03-25 07:24:52 EDT
Translations for gnome-packagekit have to be done using gnome svn, using a GNOME
translation team. I pull from svn every day and sync with internal git. If you
want to translate the menu items, please use this link: http://l10n.gnome.org/teams

Note You need to log in before you can comment on or make changes to this bug.